Skip to main content

Consumer Provider

View as Markdown

ProviderInfo object

idstring
namestring
descriptionstring
icon_file_pathstring
business_contact_emailstring
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

Get

GET /api/2.1/marketplace-consumer/providers/{id}

Get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

idstringpath

Response

providerobject
Show child attributesHide child attributes
idstring
namestring
descriptionstring
icon_file_pathstring
business_contact_emailstring
support_contact_emailstring
published_bystring

published_by is only applicable to data aggregators (e.g. Crux)

icon_file_idstring
dark_mode_icon_file_idstring
dark_mode_icon_file_pathstring

List

GET /api/2.1/marketplace-consumer/providers

List all providers in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

page_tokenstringquery
page_sizeint32query

Response

Returns a list of ProviderInfo objects.

Batch Get Providers

GET /api/2.1/marketplace-consumer/providers:batchGet

Batch get a provider in the Databricks Marketplace with at least one visible listing.

API scopes: marketplace

Parameters

idsarray of stringquery

Response

Returns a list of ProviderInfo objects.